﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;
using Ayakawa.FormUtils;

namespace AyaClock.WPF
{
    /// <summary>
    /// AboutF.xaml の相互作用ロジック
    /// </summary>
    public partial class AboutF : Window
    {
        private bool FirstActivated;

        public AboutF()
        {
            InitializeComponent();
            FirstActivated = true;
        }

        private void button1_Click(object sender, RoutedEventArgs e)
        {
            Close();
        }

        private void Window_Activated(object sender, EventArgs e)
        {
            if (FirstActivated)
            {
                FirstActivated = false;
                FormUtils.AdjustWindowPos(this, PositionType.Any, false);
            }
        }
    }
}
